Bug 100961 - After updating Mesa 17.0.2 to 17.0.5 Grid Autosport fails compiling tesselation shader on Haswell
Summary: After updating Mesa 17.0.2 to 17.0.5 Grid Autosport fails compiling tesselati...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 17.0
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-07 21:27 UTC by Clemens Eisserer
Modified: 2019-09-25 19:02 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Eisserer 2017-05-07 21:27:01 UTC
After updating Mesa-17.0.3 to 17.0.5 on my Haswell based fedora 25 laptop, Grid Autosport fails to start a race with:

Mesa 17.0.5 implementation error: Failed to compile tessellation evaluation shader: TES compile failed: no register to spill

and afterwards crashes inside libGl:

OpenGL dispatch[29034]: segfault at 68 ip 00007f5e60027beb sp 00007f5e2fffe140 error 4 in i965_dri.so[7f5e5fbfa000+721000]
Comment 1 Jean-Charles P. 2018-11-11 16:12:24 UTC
Same issue here with the same game.

I'm using Fedora 29, Mesa 18.2.4. 

Mesa 18.2.4 implementation error: Failed to compile tessellation evaluation shader: TES compile
 failed: no register to spill

After the previous error, the game crashes (segfault).
Comment 2 Marina Chernish 2018-11-16 10:20:42 UTC
Hi Jean-Charles,

I've reproduced segfault 
[28731.665163] OpenGL dispatch[26365]: segfault at 68 ip 00007f4177409b6b sp 00007f41097f9180 error 4 in i965_dri.so[7f417707c000+5e4000]

when race is starting on my Haswell. Currently investigating this issue.

Environment: Ubuntu 16.04; kernel 4.18.16; Haswell: CPU: Intel Core i5-4300M GPU: Intel® HD Graphics 4600.
Comment 3 Marina Chernish 2018-11-16 15:25:01 UTC
Works well on mesa 13.1.0, but crashes on 17.0.0, 18.0.5, 18.3.0 for my Haswell.
Bisected.

Results of bisecting:

e3123c8ca22e9a9337af6179dfd8383259f3ccc6 is the first bad commit
commit e3123c8ca22e9a9337af6179dfd8383259f3ccc6
Author: Iago Toral Quiroga <itoral@igalia.com>
Date: Tue Jan 3 09:27:09 2017 +0100

i965/gen7: Enable OpenGL 4.0 in Haswell when supported

Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

:040000 040000 5ee1523ed7f7522c41ebe1435f72836cd2a5e051 4065c0d76167a984c67fc422104e1aff4cb2b8bc M src
Comment 4 GitLab Migration User 2019-09-25 19:02:08 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1594.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.